import java.awt.Color;

abstract class Bubble
{
    //Attribute
	protected int radius;
	protected int posX;
	protected int posY;
	protected Color color;
    
    //Konstruktur
    public Bubble()
    {
        posX = (int)(Math.random()*Control.gameWidth); 
        posY = (int)(Math.random()*Control.gameHeight) ;
        radius = 20;
        color = new Color((float)(Math.random()), (float)(Math.random()), (float)(Math.random()), 1.0f);
    }
    
    public abstract void moveBubble(int toX, int toY, double deltaT);
    
    //Getter & Setter
    public int getPosX()
    {
      return this.posX;
    }
    public int getPosY()
    {
      return this.posY;
    } 
    public int getRadius()
    {
     return this.radius;
    }
    public Color getColor()
    {
      return this.color;
    }
    
    public void setPosX(int posX)
    {
    this.posX = posX;
    } 
    
    public void setPosY(int posY)
    {
    this.posY = posY;
    } 
    
    public void setPos(int posX, int posY)
    {
      this.posX = posX;
      this.posY = posY;
    }
    
    public void setRadius(int radius)
    {
    this.radius = radius;
    }
    
    public void setColor(Color color){
      this.color = color;
    }
}