 

import java.awt.*;
import javax.swing.JPanel;

public class Game extends JPanel
{
	private static final long serialVersionUID = -8395759457708163217L;
	
	@Override
	protected void paintComponent( Graphics g )
	{
    	g.clearRect(0, 0, this.getWidth(), this.getHeight());
    	/* Zeichne Sammel-Bubbles*/
    	for(int i=0; i<20; i++)
    	{
    		g.setColor(Control.coins[i].getColor());
    		g.drawOval(Control.coins[i].getPosX()-Control.coins[i].getRadius(), Control.coins[i].getPosY()-Control.coins[i].getRadius(), Control.coins[i].getRadius()*2, Control.coins[i].getRadius()*2);
    		g.fillOval(Control.coins[i].getPosX()-Control.coins[i].getRadius(), Control.coins[i].getPosY()-Control.coins[i].getRadius(), Control.coins[i].getRadius()*2, Control.coins[i].getRadius()*2);
    	}
    	
    	/* Zeichne Spieler-Bubble*/
    	//Auenlinie
    	g.setColor(Color.BLACK);
		g.drawOval(Control.bubblePlayer.getPosX()-Control.bubblePlayer.getRadius(), 
					Control.bubblePlayer.getPosY()-Control.bubblePlayer.getRadius(), 
					Control.bubblePlayer.getRadius()*2, Control.bubblePlayer.getRadius()*2);
		//Fllung
		g.setColor(Control.bubblePlayer.getColor());
		g.fillOval(Control.bubblePlayer.getPosX()-Control.bubblePlayer.getRadius(), 
					Control.bubblePlayer.getPosY()-Control.bubblePlayer.getRadius(), 
					Control.bubblePlayer.getRadius()*2, Control.bubblePlayer.getRadius()*2);
	}
}